| Haskell Core Libraries (Cabal package) | Contents | Index
Distribution.Simple.LocalBuildInfo |
Portability | GHC
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>
Description
Definition of the LocalBuildInfo data type.
Synopsis
data LocalBuildInfo = LocalBuildInfo {
prefix :: FilePath
compiler :: Compiler
buildDir :: FilePath
packageDeps :: [PackageIdentifier]
withHaddock :: (Maybe FilePath)
withHappy :: (Maybe FilePath)
withAlex :: (Maybe FilePath)
withHsc2hs :: (Maybe FilePath)
withCpphs :: (Maybe FilePath)
}
Documentation
data LocalBuildInfo
Data cached after configuration step.
Constructors
LocalBuildInfo |
prefix :: FilePath | The installation directory (eg. `usrlocal`, or `C:Program Filesfoo-1.2` on Windows.
compiler :: Compiler | The compiler we're building with
buildDir :: FilePath | Where to put the result of building.
packageDeps :: [PackageIdentifier] | Which packages we depend on, exactly. The `PackageDescription` specifies a set of build dependencies that must be satisfied in terms of version ranges. This field fixes those dependencies to the specific versions available on this machine for this compiler.
withHaddock :: (Maybe FilePath) | Might be the location of the Haddock executable.
withHappy :: (Maybe FilePath) | Might be the location of the Happy executable.
withAlex :: (Maybe FilePath) | Might be the location of the Alex executable.
withHsc2hs :: (Maybe FilePath) | Might be the location of the Hsc2hs executable.
withCpphs :: (Maybe FilePath) | Might be the location of the Cpphs executable.
Instances
Eq LocalBuildInfo
Read LocalBuildInfo
Show LocalBuildInfo
Produced by Haddock version 0.7